Subject: Re: base-files-mketc.sh hangs
From: Liu Haibin <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 27 Dec 2005 11:39:07 +0800

On 12/27/05, Igor Peshansky <[email-masked]> wrote:
> > I got a problem after I reinstalled cygwin.
> > /etc/postinstall/base-files-mketc.sh hangs there everytime I install
> > packages.
>
> This is obviously not normal.  Do you press "Cancel" to interrupt it?

Yes, I do.

> > And it will produce some log files like setup.log.postinstallXa00156
> > under /var/log.
>
> This, however, is.  That's the mechanism setup uses to get the script
> output into its log.

Those setup.log.postinstall files are all 0 byte. But I do remember I
saw one file with one sentence like child process died. I can't
remember it exactly. Unfortunately I deleted it.

> > I tried to run /etc/postinstall/base-files-mketc.sh in the shell and it
> > ran ok. Any idea what went wrong?
>
> Not really -- there isn't enough information in your report.  Please read
> and follow the Cygwin problem reporting guidelines at
> <http://cygwin.com/problems.html>, especially the part about attaching (as
> an uncompressed text attachment) the output of "cygcheck -svr" on your
> system.

Attached is the file. The cygwin is provided by a product I'm using. I
installed extra packages like gcc and upgraded the cygwin1.dll
(otherwise the new installed gcc won't work)
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/